FREELOCALE(3)

NAME
freelocale - Frees an allocated locale

SYNOPSIS
#include <xlocale.h>
int
freelocale(locale_t loc);

DESCRIPTION
Frees the storage associated with loc. Sub-structures have their reference counts reduced, and are freed if the reference count becomes zero.

RETURN VALUES
Returns zero on success, -1 on error. An error will occur if loc is not a locale_t, or is NULL or LC_GLOBAL_LOCALE.

SEE ALSO
duplocale(3), newlocale(3), querylocale(3), uselocale(3), xlocale(3)